.container {
  width: 90%;
  height: 90vh;
  background-color: #f28482;
  padding: 3rem;
  overflow-y: auto;
}

.p {
  font-size: 2rem;
  font-weight: bold;
}

hr {
  margin: 1rem 0;
}

.main {
  width: 100%;
  height: 90%;
  overflow: auto;
}

.category {
  width: 100%;
  height: 25rem;
  padding: 1rem;
  background-color: #84a59d;
  overflow-x: hidden;
  overflow-y: hidden;
  margin-bottom: 1rem;
  box-shadow: 1px 2px 8px #153f35;
}

.header {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 1.5rem;
}

.bookBtn {
  align-self: center;
  padding: 0.5rem;
  margin: 0 0 0 2rem;
  transition: all 0.3s;
}

.bookBtn:hover {
  box-shadow: 1px 1px 5px #222;
}

.modal {
  width: 30rem;
  height: 25rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 2%;
  padding: 1rem;
  background-color: #f5cac3;
  z-index: 1;
}

.booksList {
  background-color: #f7ede2;
  margin: 1rem 0 0 0;
  width: 100%;
  height: 73%;
  padding: 0.5rem;
  overflow: auto;
}

.booksSelect {
  display: flex;
  margin-bottom: 2rem;
}

input[type='checkbox'] {
  height: 1rem;
  margin-right: 1rem;
  -webkit-appearance: none;
  background-color: #fafafa;
  border: 1px solid #cacece;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05),
    inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
  padding: 9px;
  border-radius: 3px;
  display: flex;
  position: relative;
}

input[type='checkbox']:active,
.regular-checkbox:checked:active {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05),
    inset 0px 1px 3px rgba(0, 0, 0, 0.1);
}

input[type='checkbox']:checked {
  background-color: #e9ecee;
  border: 1px solid #adb8c0;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05),
    inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05),
    inset 15px 10px -12px rgba(255, 255, 255, 0.1);
  color: #99a1a7;
}

input[type='checkbox']:checked:after {
  content: '\2714';
  font-size: 14px;
  position: absolute;
  top: 0px;
  left: 3px;
  color: #84a59d;
}

::-webkit-scrollbar {
  width: 1rem;
  height: 1rem;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f8f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #e7acab;
  border-radius: 1rem;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.buttons {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.title {
  font-size: 1.2rem;
}

.allBooks {
  display: flex;
  height: 80%;
  margin-bottom: 1rem;
  right: 1rem;
  overflow-x: auto;
}

.book {
  position: relative;
  margin: 0 1rem;
  width: 12rem;
  background-color: #f7ede2;
}

.book img {
  width: 12rem;
  height: 10rem;
  margin-bottom: 0.5rem;
}

.book p {
  margin-left: 0.5rem;
}

.deleteBtn {
  position: absolute;
  right: 1rem;
  padding: 0.5rem;
  transition: all 0.3s;
  cursor: pointer;
}

.deleteBtn:hover {
  box-shadow: 1px 1px 5px #333;
}

.hide {
  display: none;
}

.show {
  display: block;
}
